import { Directive, Inject, ViewContainerRef, TemplateRef } from '@angular/core';
import { IS_PRERENDER } from './prerender';
export var ShellNoRender = (function () {
    function ShellNoRender(_viewContainer, _templateRef, _isPrerender) {
        this._viewContainer = _viewContainer;
        this._templateRef = _templateRef;
        this._isPrerender = _isPrerender;
    }
    ShellNoRender.prototype.ngOnInit = function () {
        if (this._isPrerender) {
            this._viewContainer.clear();
        }
        else {
            this._viewContainer.createEmbeddedView(this._templateRef);
        }
    };
    ShellNoRender.decorators = [
        { type: Directive, args: [{
                    selector: '[shellNoRender]'
                },] },
    ];
    /** @nocollapse */
    ShellNoRender.ctorParameters = [
        { type: ViewContainerRef, },
        { type: TemplateRef, },
        { type: undefined, decorators: [{ type: Inject, args: [IS_PRERENDER,] },] },
    ];
    return ShellNoRender;
}());
export var ShellRender = (function () {
    function ShellRender(_viewContainer, _templateRef, _isPrerender) {
        this._viewContainer = _viewContainer;
        this._templateRef = _templateRef;
        this._isPrerender = _isPrerender;
    }
    ShellRender.prototype.ngOnInit = function () {
        if (this._isPrerender) {
            this._viewContainer.createEmbeddedView(this._templateRef);
        }
        else {
            this._viewContainer.clear();
        }
    };
    ShellRender.decorators = [
        { type: Directive, args: [{
                    selector: '[shellRender]'
                },] },
    ];
    /** @nocollapse */
    ShellRender.ctorParameters = [
        { type: ViewContainerRef, },
        { type: TemplateRef, },
        { type: undefined, decorators: [{ type: Inject, args: [IS_PRERENDER,] },] },
    ];
    return ShellRender;
}());
//# sourceMappingURL=shell.js.map