(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/core'], factory) :
    (factory((global.ng = global.ng || {}, global.ng.appShell = global.ng.appShell || {}),global.ng.core));
}(this, (function (exports,_angular_core) { 'use strict';

var IS_PRERENDER = new _angular_core.OpaqueToken('IsPrerender');

var ShellNoRender = (function () {
    function ShellNoRender(_viewContainer, _templateRef, _isPrerender) {
        this._viewContainer = _viewContainer;
        this._templateRef = _templateRef;
        this._isPrerender = _isPrerender;
    }
    ShellNoRender.prototype.ngOnInit = function () {
        if (this._isPrerender) {
            this._viewContainer.clear();
        }
        else {
            this._viewContainer.createEmbeddedView(this._templateRef);
        }
    };
    ShellNoRender.decorators = [
        { type: _angular_core.Directive, args: [{
                    selector: '[shellNoRender]'
                },] },
    ];
    /** @nocollapse */
    ShellNoRender.ctorParameters = [
        { type: _angular_core.ViewContainerRef, },
        { type: _angular_core.TemplateRef, },
        { type: undefined, decorators: [{ type: _angular_core.Inject, args: [IS_PRERENDER,] },] },
    ];
    return ShellNoRender;
}());
var ShellRender = (function () {
    function ShellRender(_viewContainer, _templateRef, _isPrerender) {
        this._viewContainer = _viewContainer;
        this._templateRef = _templateRef;
        this._isPrerender = _isPrerender;
    }
    ShellRender.prototype.ngOnInit = function () {
        if (this._isPrerender) {
            this._viewContainer.createEmbeddedView(this._templateRef);
        }
        else {
            this._viewContainer.clear();
        }
    };
    ShellRender.decorators = [
        { type: _angular_core.Directive, args: [{
                    selector: '[shellRender]'
                },] },
    ];
    /** @nocollapse */
    ShellRender.ctorParameters = [
        { type: _angular_core.ViewContainerRef, },
        { type: _angular_core.TemplateRef, },
        { type: undefined, decorators: [{ type: _angular_core.Inject, args: [IS_PRERENDER,] },] },
    ];
    return ShellRender;
}());

var AppShellModule = (function () {
    function AppShellModule() {
    }
    AppShellModule.prerender = function () {
        return {
            ngModule: AppShellModule,
            providers: [{ provide: IS_PRERENDER, useValue: true }]
        };
    };
    AppShellModule.runtime = function () {
        return {
            ngModule: AppShellModule,
            providers: [{ provide: IS_PRERENDER, useValue: false }],
        };
    };
    AppShellModule.decorators = [
        { type: _angular_core.NgModule, args: [{
                    declarations: [
                        ShellNoRender,
                        ShellRender,
                    ],
                    exports: [
                        ShellNoRender,
                        ShellRender,
                    ],
                },] },
    ];
    /** @nocollapse */
    AppShellModule.ctorParameters = [];
    return AppShellModule;
}());

exports.AppShellModule = AppShellModule;
exports.IS_PRERENDER = IS_PRERENDER;
exports.ShellNoRender = ShellNoRender;
exports.ShellRender = ShellRender;

Object.defineProperty(exports, '__esModule', { value: true });

})));
